AsterNet Class Library (Sandcastle documentation)

| GetDataCommand Constructor (String, Int64, Int32)

Creates a new GetDataCommand with the given timeout and maxDigits.

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public GetDataCommand(
    	string file,
    	long timeout,
    	int maxDigits
    )

    Public Sub New (
    	file As String,
    	timeout As Long,
    	maxDigits As Integer
    )

    public:
    GetDataCommand(
    	String^ file,
    	long long timeout,
    	int maxDigits
    )

    new :
            file : string *
            timeout : int64 *
            maxDigits : int -> GetDataCommand

#### Parameters

file
  Type: System
  String
  the name of the file to stream, must not include extension.
timeout
  Type: System
  Int64
  the timeout in milliseconds to wait for data.
  0 means standard timeout value, -1 means "ludicrous time" (essentially never times out).
maxDigits
  Type: System
  Int32
  the maximum number of digits to read.
  Must be in [1..1024].

See Also

#### Reference

GetDataCommand Class
GetDataCommand Overload
AsterNET.FastAGI.Command Namespace